package sun.management.snmp.jvminstr;

import com.sun.jmx.snmp.SnmpStatusException;
import java.io.Serializable;
import sun.management.snmp.jvmmib.JvmRTBootClassPathEntryMBean;

public class JvmRTBootClassPathEntryImpl implements JvmRTBootClassPathEntryMBean, Serializable
{
    static final long serialVersionUID = -2282652055235913013L;
    private final String item;
    private final int index;
    
    public JvmRTBootClassPathEntryImpl(String s, int index) {
        this.item = this.validPathElementTC(s);
        this.index = index;
    }
    
    private String validPathElementTC(String s) {
        return JVM_MANAGEMENT_MIB_IMPL.validPathElementTC(s);
    }
    
    public String getJvmRTBootClassPathItem() throws SnmpStatusException {
        return this.item;
    }
    
    public Integer getJvmRTBootClassPathIndex() throws SnmpStatusException {
        return new Integer(this.index);
    }
}
